
#-----------------------------------------------------------------------
# Copyright (C) 2000-2001, Jean-Sebastien Morisset <jsmoriss@mvlan.net>
#-----------------------------------------------------------------------
# $Id: compress_config.sh,v 1.9 2001/11/19 19:25:54 jsmoriss Exp $
#-----------------------------------------------------------------------
#  $RCSfile: compress_config.sh,v $
#   $Author: jsmoriss $
# $Revision: 1.9 $
#     $Date: 2001/11/19 19:25:54 $
#   $Locker:  $ 
#     $Name:  $
#-----------------------------------------------------------------------
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by 
# the Free Software Foundation <http://www.gnu.org/copyleft/gpl.txt>.
# 
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of 
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
# General Public License (LICENSE file in archive) for more details.
#
#-----------------------------------------------------------------------
# README
#-----------------------------------------------------------------------
#
# A bourne shell function used by rcf; a very secure, fast, and complete
# firewall for linux <http://jsmoriss.mvlan.net/linux/rcf.html>.
#
#-----------------------------------------------------------------------
# FUNCTION
#-----------------------------------------------------------------------

Compress_Config () {
	if [ -s "$CONF" ]
	then
		echo ""
		echo "Copying `basename ${CONF}` to `basename ${CONF}.bak`..."
		cp "${CONF}" "${CONF}.bak"
		chmod 0600 "${CONF}.bak"
		echo -n "Compressing Configuration file ${CONF}..."
		cat <<EOF > "${CONF}.tmp"

# ======================================================================
# Firewall v${PKG_VERSION} Configuration (Last Updated on `date '+%a %b %d %H:%M'`).
# ======================================================================

EOF
		sed -n -e 's/^ *\([^ #]*\) *= *\"*\([^\\"#][^\\"#][^\\"#]*\).*$/\1 = \2/p' $CONF >> "${CONF}.tmp"
		chmod 0600 "${CONF}.tmp"
		mv "${CONF}.tmp" "${CONF}"
		echo ""
	fi
	
}

