
#-----------------------------------------------------------------------
# Copyright (C) 2000-2001, Jean-Sebastien Morisset <jsmoriss@mvlan.net>
#-----------------------------------------------------------------------
# $Id: get_cluster_vars.sh,v 1.4 2001/08/11 17:01:20 jsmoriss Exp $
#-----------------------------------------------------------------------
#  $RCSfile: get_cluster_vars.sh,v $
#   $Author: jsmoriss $
# $Revision: 1.4 $
#     $Date: 2001/08/11 17:01:20 $
#   $Locker:  $ 
#     $Name:  $
#-----------------------------------------------------------------------
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by 
# the Free Software Foundation <http://www.gnu.org/copyleft/gpl.txt>.
# 
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of 
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
# General Public License (LICENSE file in archive) for more details.
#
#-----------------------------------------------------------------------
# README
#-----------------------------------------------------------------------
#
# A bourne shell function used by rcf; a very secure, fast, and complete
# firewall for linux <http://jsmoriss.mvlan.net/linux/rcf.html>.
#
#-----------------------------------------------------------------------
# FUNCTION
#-----------------------------------------------------------------------

Get_Cluster_Vars () {
	DEVICE="`echo $1|sed -n -e 's/^\([^\:]*\).*$/\1/p'`"
	[ "$DEVICE" != "$1" ] && VIRTUAL="yes" || VIRTUAL="no"

	ucase_interface="`echo $1|To_Upper_Fix`"

	NETADDR="$2"
	IPADDR="$2"
	eval \
		NETMASK=\"\$${ucase_interface}_NETMASK\" \
		NETWORK=\"\$${ucase_interface}_NETWORK\" \
		BROADCAST=\"\$${ucase_interface}_BROADCAST\" \
		INCHAIN=\"\$${ucase_interface}_INCHAIN\" \
		OUTCHAIN=\"\$${ucase_interface}_OUTCHAIN\"

	unset ucase_interface
}

