
#-----------------------------------------------------------------------
# Copyright (C) 2000-2001, Jean-Sebastien Morisset <jsmoriss@mvlan.net>
#-----------------------------------------------------------------------
# $Id: sed_functions.sh,v 1.4 2001/08/11 17:01:20 jsmoriss Exp $
#-----------------------------------------------------------------------
#  $RCSfile: sed_functions.sh,v $
#   $Author: jsmoriss $
# $Revision: 1.4 $
#     $Date: 2001/08/11 17:01:20 $
#   $Locker:  $ 
#     $Name:  $
#-----------------------------------------------------------------------
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by 
# the Free Software Foundation <http://www.gnu.org/copyleft/gpl.txt>.
# 
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of 
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
# General Public License (LICENSE file in archive) for more details.
#
#-----------------------------------------------------------------------
# README
#-----------------------------------------------------------------------
#
# A bourne shell function used by rcf; a very secure, fast, and complete
# firewall for linux <http://jsmoriss.mvlan.net/linux/rcf.html>.
#
# sed based functions to replace common unix binaries (cat, wc, uniq, 
# etc.).
#
#-----------------------------------------------------------------------
# FUNCTION
#-----------------------------------------------------------------------

Sed_Basename () {
	echo "$1" | sed -e 's/^[    ]*//;s/[     ]*$//;tc;:c;s/[     ][      ]*/\;/;ta;s/\/*$//;s/.*\///;b;:a;h;s/.*\n//;x;s/\n.*//;s/\/*$//;s/.*\///;tb;:b;G;s/^\(.*\)\(.*\)\n\2$/\1/;t;P;d;'
}

Sed_Cat () {
	sed -e '' $*
}

Sed_Dirname () {
	echo "$1" | sed -e '
# special case: / is given
/^\/$/c\
/

# strip trailing / if any
s/\/*$//

# strip trailing filename
s/[^/]*$//

# if get no chars after these, then we have current dir (things like
# bin/ src/ were given
/./!c\
.

# delete the trailing /
# ("/usr/bin/ls" --> "/usr/bin/", this makes "/usr/bin")
s/\/$//
'
}

Sed_Length () {
	echo "$*" | sed -e 's/./\
/g;s/.$//' | Sed_Wc
}

Sed_Uniq () {
	sed -e ':a;N;/\([^\n]\+\)\n\1/!{;P;D;};s//\1/;b a' $*
}

Sed_Wc () {
	sed -n -e '$=' $*
}

