
#-----------------------------------------------------------------------
# Copyright (C) 2000-2001, Jean-Sebastien Morisset <jsmoriss@mvlan.net>
#-----------------------------------------------------------------------
# $Id: set_yn_variable.sh,v 1.4 2001/08/11 17:01:20 jsmoriss Exp $
#-----------------------------------------------------------------------
#  $RCSfile: set_yn_variable.sh,v $
#   $Author: jsmoriss $
# $Revision: 1.4 $
#     $Date: 2001/08/11 17:01:20 $
#   $Locker:  $ 
#     $Name:  $
#-----------------------------------------------------------------------
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by 
# the Free Software Foundation <http://www.gnu.org/copyleft/gpl.txt>.
# 
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of 
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
# General Public License (LICENSE file in archive) for more details.
#
#-----------------------------------------------------------------------
# README
#-----------------------------------------------------------------------
#
# A bourne shell function used by rcf; a very secure, fast, and complete
# firewall for linux <http://jsmoriss.mvlan.net/linux/rcf.html>.
#
#-----------------------------------------------------------------------
# FUNCTION
#-----------------------------------------------------------------------

Set_Yn_Variable () {
	if [ "$1" ]
	then
		eval VALUE="\$${1}"
		case "$VALUE" in
			1)		NEW_VALUE="yes";;
			0)		NEW_VALUE="no";;
			Y*|y*)	NEW_VALUE="yes";;
			N*|n*)	NEW_VALUE="no";;
			T*|t*)	NEW_VALUE="yes";;
			F*|f*)	NEW_VALUE="no";;
			On|ON|on)	NEW_VALUE="yes";;
			Of*|OF*|of*)	NEW_VALUE="no";;
			*)	NEW_VALUE="";;
		esac
		eval ${1}="${NEW_VALUE}"
		unset NEW_VALUE
	fi
}

