
#-----------------------------------------------------------------------
# Copyright (C) 2000-2001, Jean-Sebastien Morisset <jsmoriss@mvlan.net>
#-----------------------------------------------------------------------
# $Id: show_config.sh,v 1.5 2001/08/11 17:01:20 jsmoriss Exp $
#-----------------------------------------------------------------------
#  $RCSfile: show_config.sh,v $
#   $Author: jsmoriss $
# $Revision: 1.5 $
#     $Date: 2001/08/11 17:01:20 $
#   $Locker:  $ 
#     $Name:  $
#-----------------------------------------------------------------------
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by 
# the Free Software Foundation <http://www.gnu.org/copyleft/gpl.txt>.
# 
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of 
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
# General Public License (LICENSE file in archive) for more details.
#
#-----------------------------------------------------------------------
# README
#-----------------------------------------------------------------------
#
# A bourne shell function used by rcf; a very secure, fast, and complete
# firewall for linux <http://jsmoriss.mvlan.net/linux/rcf.html>.
#
#-----------------------------------------------------------------------
# FUNCTION
#-----------------------------------------------------------------------

Show_Config () {

	echo ""
	echo "Configuration Options:"
	echo ""
	sed -n -e 's/^ *\([^ #]*\) *= *\"*\([^\\"#][^\\"#][^\\"#]*\).*$/\1 = \2/p' $CONF

	echo ""
	echo "Interface Related Variables:"
	echo ""
	{
		for interface in $LOOPBACK_INTERFACES $PUBLIC_INTERFACES $PRIVATE_INTERFACES $DMZ_INTERFACES $MZ_INTERFACES
		do
			ucase_interface="`echo $interface|To_Upper_Fix`"
			set | grep "^[A-Z0-9_]*${ucase_interface}_[A-Z0-9_]*=..*"
		done
		unset ucase_interface
	} | sort | Sed_Uniq
}

