
#-----------------------------------------------------------------------
# Copyright (C) 2000-2001, Jean-Sebastien Morisset <jsmoriss@mvlan.net>
#-----------------------------------------------------------------------
# $Id: verify_all_yn_variables.sh,v 1.4 2001/08/11 17:01:20 jsmoriss Exp $
#-----------------------------------------------------------------------
#  $RCSfile: verify_all_yn_variables.sh,v $
#   $Author: jsmoriss $
# $Revision: 1.4 $
#     $Date: 2001/08/11 17:01:20 $
#   $Locker:  $ 
#     $Name:  $
#-----------------------------------------------------------------------
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by 
# the Free Software Foundation <http://www.gnu.org/copyleft/gpl.txt>.
# 
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of 
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
# General Public License (LICENSE file in archive) for more details.
#
#-----------------------------------------------------------------------
# README
#-----------------------------------------------------------------------
#
# A bourne shell function used by rcf; a very secure, fast, and complete
# firewall for linux <http://jsmoriss.mvlan.net/linux/rcf.html>.
#
#-----------------------------------------------------------------------
# FUNCTION
#-----------------------------------------------------------------------

Verify_All_Yn_Variables () {
	
	# Save interface names suitable for variable insertion. ie: eth0:1 -> ETH0_1
	#
	UCASE_PRIVATE_INTERFACES="`echo $PRIVATE_INTERFACES|To_Upper_Fix`"
	UCASE_PUBLIC_INTERFACES="`echo $PUBLIC_INTERFACES|To_Upper_Fix`"

	for VAR in DEBUG
	do
		Set_Yn_Variable $VAR	# sets variable to "no" on null value
	done

	for INTERFACE in $UCASE_PRIVATE_INTERFACES
	do
		# Private interface variables which need y/n checking.
		for VAR in ENABLE_${INTERFACE}_DHCP_CLIENTS
		do
			Set_Yn_Variable $VAR	# sets variable to "no" on null value
		done
	done
}

